SDL_SetWindowMouseRect(3)

NAME
SDL_SetWindowMouseRect - Confines the cursor to the specified area of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowMouseRect(SDL_Window *window, const SDL_Rect *rect);

DESCRIPTION
Note that this does NOT grab the cursor, it only defines the area a cursor is restricted to when the window has mouse focus.

FUNCTION PARAMETERS

window
    The window that will be associated with the barrier.

rect
    A rectangle area in window-relative coordinates. If NULL the barrier for the specified window will be destroyed.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowMouseRect(3), SDL_SetWindowMouseGrab(3)